cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/databases/{name} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example_database_name","new_name":"example_new_database_name"}'{
"name": "<string>",
"table_count": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- CLUSTER_DATA_ACCESSOR
PATCH
/
api
/
v1
/
clusters
/
{cluster_id}
/
databases
/
{name}
cURL
curl --request PATCH \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/databases/{name} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--json '{"name":"example_database_name","new_name":"example_new_database_name"}'{
"name": "<string>",
"table_count": "<string>"
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

